# GUIInstance

class GUIInstance<T : ForInventory>(gui: GUI<T>, holder: Player?)
Content copied to clipboard

## Functions

getPage
Link copied to clipboard
fun getPage(page: Int?): GUIPage<T>?
Content copied to clipboard
Searches for a page associated to the given page index.
isThisInv
Link copied to clipboard
fun isThisInv(inventory: Inventory): Boolean
Content copied to clipboard
loadPage
Link copied to clipboard
fun loadPage(page: GUIPage<T>)
Content copied to clipboard
Loads the specified page in order to display it in the GUI.
register
Link copied to clipboard
fun register()
Content copied to clipboard
Registers this GUI.
reloadCurrentPage
Link copied to clipboard
fun reloadCurrentPage()
Content copied to clipboard
Reloads the current page.
set
Link copied to clipboard
operator fun set(slot: InventorySlotCompound<T>, value: ItemStack)
Content copied to clipboard
Temporarily sets the given item at the given slots.
unregister
Link copied to clipboard
fun unregister()
Content copied to clipboard
Stops KSpigot from listening to actions in this GUI anymore.

## Properties

currentPage
Link copied to clipboard
val currentPage: GUIPage<T>
Content copied to clipboard
currentPageInt
Link copied to clipboard
var currentPageInt: Int
Content copied to clipboard
gui
Link copied to clipboard
val gui: GUI<T>
Content copied to clipboard

## Extensions

gotoPage
Link copied to clipboard
fun GUIInstance<*>.gotoPage(page: Int, overrideEffect: PageChangeEffect? = null)
Content copied to clipboard